#ifndef _LCD_H_
#define _LCD_H_

#include "types.h"

// Port
#define LCD PORTC
#ifdef ADC_TEMPO
#define LCD2 PORTB
#define EN_PIN 0
#else
#define EN_PIN 5
#endif

// Commands
#define LCD_CLEAR 0x01
#define LCD_HOME 0x02
#define LCD_MODE 0x04
#define LCD_ON 0x08
#define LCD_SHIFT 0x10
#define LCD_FUNCSET 0x20

// Text
#define LINESIZE	24
#define TEXTCNT		21

#define DISP_BLANK 	0
#define DISP_MAIN 	1
#define DISP_BOOT	2
#define DISP_OK		3
#define DISP_CARDERR	4
#define DISP_FILEERR	5
#define DISP_SELECT	6
#define DISP_PLAY	7
#define DISP_PAUSE	8
#define DISP_RECRD	9
#define DISP_REC	10
#define DISP_BUFERR	11
#define DISP_TEMPO	12
#define DISP_NOFILE	13
#define DISP_DELETE	14
#define DISP_MENU	15
#define DISP_MDRUM	16
#define DISP_MLYR	17
#define DISP_MSSECT	18
#define DISP_MMUTE	19
#define DISP_MREP	20

// Functions
void lcd_data(u08 d);
void lcd_command(u08 c);
void lcd_clear(void);
void lcd_string(u08 idx, u08 row);
void lcd_setcur(u08 x, u08 y);
void lcd_init(void);
void lcd_nibble(u08 d);
void lcd_hex_u08(u08 d);
void lcd_hex_u16(u16 d);
//void lcd_hex_u32(u32 d);
void lcd_number(u08 d, u08 n);

#endif
